Get Brownfield Validation Group Task By Id

Get Brownfield Validation Group Task By Id

Get a Brownfield task of check operation by its ID

Request
URI
GET
https://{api_host}/v1/sddcs/imports/validations/{taskId}/validation-groups
COPY
Path Parameters
string
taskId
Required

ID of the task to retrieve

taskId example
123e4567-e89b-42d3-a456-556642440000
Query Parameters
integer
pageSize
Optional

Size of the page to retrieve

integer
pageNumber
Optional

Page number to retrieve

string
status
Optional

Filter by: status of the validationList can contain values among: WARNING, ERROR, INFO. Optional


Responses
200

OK

Returns BrownfieldValidationGroupsTask of type(s) application/json
{
    "taskId": "string",
    "operationType": "string",
    "status": "string",
    "startTimestamp": 0,
    "endTimestamp": 0,
    "error": {
        "errorCode": "string",
        "errorType": "string",
        "arguments": [
            "string"
        ],
        "context": {
            "context": "string"
        },
        "notifications": [
            {
                "severity": "string",
                "message": "string",
                "remediations": [
                    {
                        "message": "string",
                        "link": "string"
                    }
                ],
                "impactMessage": "string"
            }
        ],
        "message": "string",
        "remediationMessage": "string",
        "causes": [
            {
                "type": "string",
                "message": "string"
            }
        ],
        "nestedErrors": [
            {
                "errorCode": "string",
                "errorType": "string",
                "arguments": [
                    "string"
                ],
                "context": {
                    "context": "string"
                },
                "notifications": [
                    {
                        "severity": "string",
                        "message": "string",
                        "remediations": [
                            {
                                "message": "string",
                                "link": "string"
                            }
                        ],
                        "impactMessage": "string"
                    }
                ],
                "message": "string",
                "remediationMessage": "string",
                "causes": [
                    {
                        "type": "string",
                        "message": "string"
                    }
                ],
                "nestedErrors": [
                    {
                        "errorCode": "string",
                        "errorType": "string",
                        "arguments": [
                            "string"
                        ],
                        "context": {
                            "context": "string"
                        },
                        "notifications": [
                            {
                                "severity": "string",
                                "message": "string",
                                "remediations": [
                                    {
                                        "message": "string",
                                        "link": "string"
                                    }
                                ],
                                "impactMessage": "string"
                            }
                        ],
                        "message": "string",
                        "remediationMessage": "string",
                        "causes": [
                            {
                                "type": "string",
                                "message": "string"
                            }
                        ],
                        "nestedErrors": [
                            "Error Object"
                        ],
                        "referenceToken": "string",
                        "label": "string",
                        "remediationUrl": "string"
                    }
                ],
                "referenceToken": "string",
                "label": "string",
                "remediationUrl": "string"
            }
        ],
        "referenceToken": "string",
        "label": "string",
        "remediationUrl": "string"
    },
    "validationGroups": {
        "elements": [
            {
                "id": "string",
                "name": "string",
                "description": "string",
                "overallStatus": "string"
            }
        ],
        "pageMetadata": {
            "pageNumber": 0,
            "pageSize": 0,
            "totalElements": 0,
            "totalPages": 0
        }
    },
    "summary": {
        "success": 0,
        "warning": 0,
        "error": 0
    }
}
string
taskId
Optional

ID of the task

string
operationType
Optional

BI operation type

string
status
Optional

Status of the task

integer As int64 As int64
startTimestamp
Optional

Timestamp corresponding to the time when the operation was initiated

integer As int64 As int64
endTimestamp
Optional

Timestamp corresponding to the time when the operation was finished

object
error
Optional

Error response containing a minor error code, a localized error message, a localized remediation message and optionally a reference token to correlate the error with the logs

object
validationGroups
Optional

Represents a page of elements of a single type

object
summary
Optional

Summary of brownfield validations


400

Bad Request

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/sddcs/imports/validations/{taskId}/validation-groups